--- old/usr/src/uts/common/exec/elf/elf.c	2015-11-24 09:34:44.150050532 -0500
+++ new/usr/src/uts/common/exec/elf/elf.c	2015-11-24 09:34:44.153627468 -0500
@@ -1483,7 +1483,7 @@
 		 * something fishy going on so we ignore this segment.
 		 */
 		if (seg->s_ops != &segvn_ops ||
-		    SEGOP_GETVP(seg, seg->s_base, &mvp) != 0 ||
+		    segop_getvp(seg, seg->s_base, &mvp) != 0 ||
 		    mvp == lastvp || mvp == NULL || mvp->v_type != VREG ||
 		    (segsize = pr_getsegsize(seg, 1)) == 0)
 			continue;
@@ -1914,7 +1914,7 @@
 			/*
 			 * Figure out which mappings to include in the core.
 			 */
-			type = SEGOP_GETTYPE(seg, saddr);
+			type = segop_gettype(seg, saddr);
 
 			if (saddr == stkbase && size == stksize) {
 				if (!(content & CC_CONTENT_STACK))
@@ -1941,7 +1941,7 @@
 					if (!(content & CC_CONTENT_SHM))
 						goto exclude;
 
-				} else if (SEGOP_GETVP(seg, seg->s_base,
+				} else if (segop_getvp(seg, seg->s_base,
 				    &mvp) != 0 || mvp == NULL ||
 				    mvp->v_type != VREG) {
 					if (!(content & CC_CONTENT_SHANON))
@@ -1952,7 +1952,7 @@
 						goto exclude;
 				}
 
-			} else if (SEGOP_GETVP(seg, seg->s_base, &mvp) != 0 ||
+			} else if (segop_getvp(seg, seg->s_base, &mvp) != 0 ||
 			    mvp == NULL || mvp->v_type != VREG) {
 				if (!(content & CC_CONTENT_ANON))
 					goto exclude;
